> ## Documentation Index
> Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getShieldedTransactionsBySignature

> Solana トランザクション署名に対応するインデックス済みのシールドイベントを取得します。

## トランザクション内のイベント

レスポンスは `eventIndex` 順に並べられた `result.transactions` を返します。各エントリには、イベントインデックスと、暗号化された出力、メッセージ、ヌリファイアを含むシールドトランザクションが格納されます。1 つの Solana トランザクションに複数のシールドイベントが含まれる場合があります。

`transactions` 配列が空の場合、インデクサーに一致するシールドイベントがないことを意味します。最近送信したトランザクションを存在しないものとして扱う前に、`context.slot` を確認してください。このメソッドではページネーションを使用しません。

## リクエストパラメータ

**txSignature** `string` *required*

Base58 でエンコードされた 64 バイトの Solana トランザクション署名。


## OpenAPI

````yaml ja/openapi/privacy/getShieldedTransactionsBySignature.yaml POST /v1/spr/getShieldedTransactionsBySignature
openapi: 3.0.3
info:
  title: Solana プライバシーリング API
  version: 0.51.2
  description: 暗号化された状態、履歴、証明、公開レジストリレコード向けのプライバシーインデクサー JSON-RPC API。
servers:
  - url: https://devnet.helius-rpc.com
    description: Devnet Solana プライバシーリング API
security: []
paths:
  /v1/spr/getShieldedTransactionsBySignature:
    post:
      summary: getShieldedTransactionsBySignature
      description: Solana トランザクション署名に対応する、インデックス化されたシールドイベントを取得します。
      operationId: getShieldedTransactionsBySignature
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - id
                - method
                - params
              properties:
                id:
                  type: string
                  description: リクエストを識別するための ID。
                  default: '1'
                jsonrpc:
                  type: string
                  description: JSON-RPC プロトコルのバージョン。
                  enum:
                    - '2.0'
                  default: '2.0'
                method:
                  type: string
                  description: 呼び出すメソッド。URL パスの最後のセグメントと一致する必要があります。
                  enum:
                    - getShieldedTransactionsBySignature
                  default: getShieldedTransactionsBySignature
                params:
                  type: object
                  required:
                    - txSignature
                  properties:
                    txSignature:
                      allOf:
                        - $ref: '#/components/schemas/SerializableSignature'
                      description: Base58 でエンコードされた 64 バイトの Solana トランザクション署名。
                  additionalProperties: false
                  example:
                    txSignature: >-
                      555555555555555555555555555555555555555555555555555555555555555555555555555555555555555
            example:
              jsonrpc: '2.0'
              id: '1'
              method: getShieldedTransactionsBySignature
              params:
                txSignature: >-
                  555555555555555555555555555555555555555555555555555555555555555555555555555555555555555
        required: true
      responses:
        '200':
          description: JSON-RPC レスポンス。result を読み取る前に error を確認してください。
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
                  id:
                    type: string
                    description: リクエスト ID。
                  jsonrpc:
                    type: string
                    description: JSON-RPC プロトコルのバージョン。
                    enum:
                      - '2.0'
                  result:
                    type: object
                    required:
                      - context
                      - transactions
                    properties:
                      context:
                        $ref: '#/components/schemas/Context'
                      outputTreeId:
                        type: integer
                        format: uint16
                        description: 一時停止されていない最新の状態ツリー ID。利用できない場合は省略されます。
                        minimum: 0
                      transactions:
                        type: array
                        items:
                          $ref: '#/components/schemas/IndexedShieldedTransaction'
              example:
                jsonrpc: '2.0'
                id: '1'
                result:
                  context:
                    slot: 4242
                    blockTime: 1730000000
                  transactions: []
        '400':
          description: >-
            実行前に拒否されました。メソッドとパスの不一致、メソッドフィールドの重複、またはバッチリクエストの場合は -32601
            が返されます。読み取り不能またはサイズ超過のボディの場合は -32600 が返されます。
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                  - error
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                  id:
                    type: string
                    nullable: true
                    description: リクエスト ID。ボディが単一の JSON-RPC 呼び出しでない場合は null です。
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
        '429':
          description: レート制限を超過しました。
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                  - error
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                  id:
                    type: string
                    nullable: true
                    description: リクエスト ID。ボディが単一の JSON-RPC 呼び出しでない場合は null です。
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
        '500':
          description: 内部サーバーエラー。
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                  - error
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                  id:
                    type: string
                    nullable: true
                    description: リクエスト ID。ボディが単一の JSON-RPC 呼び出しでない場合は null です。
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
      security:
        - ApiKeyQuery: []
components:
  schemas:
    SerializableSignature:
      type: string
      description: Base58 でエンコードされた 64 バイトの Solana トランザクション署名。
    Context:
      type: object
      required:
        - blockTime
        - slot
      properties:
        blockTime:
          type: integer
          format: int64
        slot:
          type: integer
          format: uint64
          description: スロットベースの鮮度チェックに使用する、インデクサーが永続化した最も高いスロット。
          minimum: 0
    IndexedShieldedTransaction:
      type: object
      required:
        - eventIndex
        - transaction
      properties:
        eventIndex:
          type: integer
          format: uint16
          minimum: 0
        transaction:
          $ref: '#/components/schemas/ShieldedTransaction'
    ShieldedTransaction:
      type: object
      required:
        - slot
        - txSignature
        - txViewingPk
        - salt
        - outputSlots
        - messages
        - nullifiers
        - proofless
      properties:
        eventIndex:
          type: integer
          format: uint16
          minimum: 0
        messages:
          type: array
          items:
            $ref: '#/components/schemas/RingsMessage'
          description: 出力コミットメントに紐付けられていない公開データスロット。内容はそのまま再公開されます。
        nullifiers:
          type: array
          items:
            $ref: '#/components/schemas/Hash'
        outputSlots:
          type: array
          items:
            $ref: '#/components/schemas/RingsOutputSlot'
        proofless:
          type: boolean
          description: このトランザクション内の少なくとも 1 つの出力に証明がない場合は true です。
        ringConfig:
          type: string
          description: リングの設定アカウント（その `ring_auth` PDA）。このトランザクションを承認したリングがない場合は省略されます。
        ringProgramId:
          type: string
          description: >-
            インデックス化された登録を通じて解決されたリングのプログラム。`ringConfig`
            が省略されている場合、またはリングの登録がまだインデックス化されていない場合は省略されます。`ringConfig`
            を使用して、「リングなし」と「プログラムがインデックス化されていないリング」を区別してください。
        salt:
          type: string
          description: すべての出力暗号文で共有されるトランザクションレベルの AES ソルト。
          nullable: true
        slot:
          type: integer
          format: uint64
          minimum: 0
        txSignature:
          $ref: '#/components/schemas/SerializableSignature'
        txViewingPk:
          type: string
          description: Base64 でエンコードされたバイト文字列。
          nullable: true
    RingsMessage:
      type: object
      required:
        - viewTag
        - payload
      properties:
        payload:
          $ref: '#/components/schemas/Base64String'
        viewTag:
          $ref: '#/components/schemas/Hash'
    Hash:
      type: string
      description: Base58 でエンコードされた 32 バイトのハッシュ。
    RingsOutputSlot:
      type: object
      required:
        - viewTag
        - outputContext
        - payload
      properties:
        outputContext:
          $ref: '#/components/schemas/RingsOutputContext'
        payload:
          $ref: '#/components/schemas/Base64String'
        viewTag:
          $ref: '#/components/schemas/Hash'
    Base64String:
      type: string
      description: Base64 でエンコードされたバイト文字列。
    RingsOutputContext:
      type: object
      required:
        - hash
        - tree
        - treeId
        - leafIndex
      properties:
        hash:
          $ref: '#/components/schemas/Hash'
        leafIndex:
          type: integer
          format: uint64
          minimum: 0
        tree:
          allOf:
            - $ref: '#/components/schemas/SerializablePubkey'
          description: 状態ツリーアカウント。treeId の使用を推奨します。ツリーアカウントは treeId から導出されます。
          deprecated: true
        treeId:
          type: integer
          format: uint16
          description: 出力のコミットメントのハッシュ化に使用される未加工のツリー ID。
          minimum: 0
    SerializablePubkey:
      type: string
      description: Base58 でエンコードされた Solana 公開鍵。
  securitySchemes:
    ApiKeyQuery:
      type: apiKey
      in: query
      name: api-key
      description: Helius API キー。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.